/*******************************************************************************
 * FoxUILiveStreamModWidget generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxUILiveStreamModWidget extends GFxObject within GFxMoviePlayer
    native(HUD)
    config(HUD);

var const string symbolname;
var const config Vector2D Position;
var const config Vector2D Scale;
var const config float RotationX;
var const config float RotationY;
var const config string VoteActiveIcon;
var const localized string LocStringVotes;
var const localized string LocStringRemainingTime;
var const localized string LocStringNextWave;
var const localized string LocStringVoteTitle;
var const localized string LocStringVoteOpen;
var const localized string LocStringVoteClosed;
var const localized string LocStringAddCP;
var const localized string LocStringDoubleDamageDealt;
var const localized string LocStringDoubleDamageTaken;
var const localized string LocStringDoubleHealth;
var const localized string LocStringDoubleStamina;
var const localized string LocStringHalfDamageDealt;
var const localized string LocStringHalfStamina;
var const localized string LocStringInfiniteStamina;
var const localized string LocStringInvincibilityAtLowHealth;
var const localized string LocStringInvincible;
var const localized string LocStringNoHRV;
var const localized string LocStringOnlyHeadShots;
var const localized string LocStringRemoveCP;
var const localized string LocStringSpeedHack;
var const localized string LocStringUnlimitedGear;

function Initialize()
{
    local ASDisplayInfo DisplayInfo;
    local LiveStreamModData DefaultData;
    local int I;

    DisplayInfo.X = Position.X;
    DisplayInfo.Y = Position.Y;
    DisplayInfo.XScale = Scale.X;
    DisplayInfo.YScale = Scale.Y;
    DisplayInfo.XRotation = RotationX;
    DisplayInfo.YRotation = RotationY;
    DisplayInfo.Visible = false;
    DisplayInfo.hasX = true;
    DisplayInfo.hasY = true;
    DisplayInfo.hasXScale = true;
    DisplayInfo.hasYScale = true;
    DisplayInfo.hasXRotation = true;
    DisplayInfo.hasYRotation = true;
    DisplayInfo.hasVisible = true;
    SetDisplayInfo(DisplayInfo);
    SetString("activeIcon", VoteActiveIcon);
    SetString("votesText", LocStringVotes);
    SetString("header", LocStringVoteTitle);
    SetString("nextText", LocStringVoteClosed);
    SetInt("votesAmount", 0);
    I = 0;
    J0x2D7:
    // End:0x311 [Loop If]
    if(I < 5)
    {
        as_SetModData(I, DefaultData);
        ++ I;
        // [Loop Continue]
        goto J0x2D7;
    }
    //return;    
}

function as_SetModData(int Index, LiveStreamModData Data)
{
    ActionScriptVoid("setModData");
    //return;    
}

function as_setWinningIndex(int Index)
{
    ActionScriptVoid("setWinningIndex");
    //return;    
}

defaultproperties
{
    symbolname="w_twitchHUD"
    Position=(X=620.0,Y=-340.0)
    Scale=(X=75.0,Y=75.0)
    LocStringVotes="VOTES"
    LocStringRemainingTime="REMAINING TIME"
    LocStringVoteTitle="STREAM VOTE"
    LocStringVoteOpen="VOTE OPEN"
    LocStringVoteClosed="VOTE CLOSED"
    LocStringAddCP="Add CP"
    LocStringDoubleDamageDealt="Deal Double Damage"
    LocStringDoubleDamageTaken="Take Double Damage"
    LocStringDoubleHealth="Double Health"
    LocStringDoubleStamina="Double Stamina"
    LocStringHalfDamageDealt="Deal Half Damage"
    LocStringHalfStamina="Half Stamina"
    LocStringInfiniteStamina="Infinite Stamina"
    LocStringInvincibilityAtLowHealth="Invincibility At Low Health"
    LocStringInvincible="Invincible"
    LocStringNoHRV="No HRV"
    LocStringOnlyHeadShots="Only Head Shots"
    LocStringRemoveCP="Remove CP"
    LocStringSpeedHack="Hack Faster"
    LocStringUnlimitedGear="Unlimited Gear"
}